MAILSYNC(1)

NAME
mailsync - Synchronize IMAP mailboxes

SYNOPSIS
mailsync [options] channel
mailsync [options] store
mailsync [options] channel store

DESCRIPTION

mailsync is a command line tool to keep collections of mailboxes synchronized. Mailboxes can reside on the local filesystem or on an IMAP server.

mailsync can be invoked in three ways:

mailsync channel
    Synchronizes two sets of mailboxes. In c-client taxonomy, a library on which mailsync relies to implement mailbox access, mailboxes are referred to as "stores".

mailsync store
    Lists the contents of a store. It's recommended to execture this command before synchronizing two stores to check whether mailsync is seeing what you are expecting it to see.

mailsync channel store
    Lists what has changed in a store since the last sync.

OPTIONS

-f file
    Use alternative config file.

-n  Don't delete messages when synchronizing.

-D  Delete any empty mailboxes after synchronizing..

-m  Show from, subject, etc. of messages that are killed or moved when synchronzing.

-M  Also show message-ids (turns on -m).

-s  Says what would be done without doing it (turns on -n). Attention: this will change the "Seen" flag of emails and will create new, empty mailboxes in order to be able to compare them.

-v  Show IMAP chatter.

-vb Show warning about braindammaged message ids

-vw Show warnings

-vp Show RFC 822 mail parsing errors

-h  Show help.

-d  Show debug info. -di Debug/log IMAP protocol telemetry. -dc Debug config.

-t mid_type
    Use mailsync with specified message-id algorithm. Currently you have the choice between md5 and msgid (default). msgid uses the Message-ID in the mail header to identify a message. md5 calculates a MD5 hash from the "From", "To", "Subject", "Date" and "Message-ID" headers and uses that as message identifier.

    If you use mailclients and servers that allow empty Message-IDs (f.ex. in mail drafts) then you should use the md5 algorithm.

SEE ALSO
There is more documentation in /usr/share/doc/mailsync , and in /usr/share/doc/libc-clientxxxxxx/internal.txt

AUTHOR
Originally written by Jaldhar H. Vyas <jaldhar@debian.org> for the Debian GNU/Linux system. Updates by T. Pospisek <tpo_deb@sourcepole.ch>.